## goss 0.4.7

=== debian/changelog ===
goss (0.4.7-2) unstable; urgency=medium

  * Add needs-root to validatessh autopkgtest

 -- Lena Voytek <lena.voytek@canonical.com>  Sat, 15 Jun 2024 10:22:45 -0700

goss (0.4.7-1) unstable; urgency=medium

  * Initial release (Closes: #804202)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 14 Jun 2024 08:47:36 +0800
