=== debian/changelog ===
goss (0.4.8-1) unstable; urgency=medium

  * New upstream version 0.4.8 

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 05 Aug 2024 08:32:22 -0700
