=== debian/changelog ===
goss (0.4.9-3) unstable; urgency=medium

  * Add manpage for goss.
  * Update standards version.
  * Update salsa ci configuration to latest default.

 -- Lena Voytek <lena@voytek.dev>  Sun, 17 Aug 2025 11:38:39 -0400

goss (0.4.9-2) unstable; urgency=medium

  * d/p/fix-test-expect-map.patch: Update test results to expect
    array/slice/map/iter.Seq/iter.Seq2 rather than array/slice/map
    (Closes: #1100220)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 02 Apr 2025 10:03:52 -0400

goss (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9

 -- Lena Voytek <lena.voytek@canonical.com>  Sat, 26 Oct 2024 10:17:13 +0200
