=== debian/control ===
Source: goss
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena.voytek@canonical.com>
Section: admin
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aelsabbahy-gonetstat-dev,
               golang-github-blang-semver-dev,
               golang-github-fatih-color-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-hashicorp-logutils-dev,
               golang-github-masterminds-sprig-dev,
               golang-github-miekg-dns-dev,
               golang-github-mitchellh-go-ps-dev,
               golang-github-moby-sys-dev,
               golang-github-oleiade-reflections-dev,
               golang-github-patrickmn-go-cache-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-prometheus-common-dev,
               golang-github-samber-lo-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tidwall-gjson-dev,
               golang-github-urfave-cli-dev,
               golang-gomega-dev,
               golang-gopkg-yaml.v3-dev,
               golang-prometheus-client-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/goss
Vcs-Git: https://salsa.debian.org/go-team/packages/goss.git
Homepage: https://github.com/goss-org/goss
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/goss-org/goss

Package: goss
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Quick and Easy server testing/validation (program)
 Goss is a YAML based serverspec (http://serverspec.org/) alternative
 tool for validating a server's configuration. It eases the process of
 writing tests by allowing the user to generate tests from the current
 system state. Once the test suite is written they can be executed,
 waited-on, or served as a health endpoint.
