=== debian/tests/control ===
Tests: validatessh
Depends: goss, openssh-server
Restrictions: allow-stderr needs-root
